
Ruby - Bug #10604

Segmentation fault, Rubymine 6.3.3,  Linux xxxx-desktop 3.5.0-51-generic #76-Ubuntu SMP Thu May

15 21:19:10 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

12/16/2014 02:36 PM - joel23421 (joel Bernard)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3p484 (2013-11-22 revision

43786) [x86_64-linux]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/string/encoding.rb:4: [BUG]

Segmentation fault

ruby 2.0.0p353 (2013-11-22 revision 43784) [x86_64-linux]

-- Control frame information -----------------------------------------------

c:0066 p:0009 s:0386 e:000385 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/string/encoding.rb:4

c:0065 p:0007 s:0383 e:000382 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:104

c:0064 p:0007 s:0380 e:000379 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:21

c:0063 p:0007 s:0377 e:000376 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:39

c:0062 p:0012 s:0374 e:000373 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:176 [FINISH]

c:0061 p:0009 s:0367 e:000365 TOP    /opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:6 [FINISH]

c:0060 p:---- s:0364 e:000363 CFUNC  :load

c:0059 p:0015 s:0360 e:000359 BLOCK 

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:469

c:0058 p:0032 s:0358 e:000357 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:639

c:0057 p:0062 s:0352 e:000351 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:468

c:0056 p:0146 s:0344 e:000343 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:353

c:0055 p:0165 s:0336 e:000335 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:502

c:0054 p:0028 s:0325 e:000324 BLOCK 

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:192 [FINISH]

c:0053 p:---- s:0321 e:000320 CFUNC  :each

c:0052 p:0054 s:0318 e:000317 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:190

c:0051 p:0028 s:0311 e:000310 BLOCK 

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/inflector/methods.rb:230 [FINISH]

c:0050 p:---- s:0308 e:000307 CFUNC  :each

c:0049 p:0050 s:0305 e:000304 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/inflector/methods.rb:229

c:0048 p:0045 s:0299 e:000295 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:554

c:0047 p:0065 s:0292 e:000291 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:69

c:0046 p:0039 s:0286 e:000285 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:54

c:0045 p:0039 s:0279 e:000278 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:32

c:0044 p:0115 s:0273 e:000272 BLOCK  /home/user/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:68 [FINISH]

c:0043 p:---- s:0262 e:000261 CFUNC  :each

c:0042 p:0035 s:0259 e:000258 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56

c:0041 p:0017 s:0255 e:000254 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:612
c:0040 p:0011 s:0251 e:000250 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/best_standards_support.rb:17

c:0039 p:0011 s:0244 e:000243 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/etag.rb:23

c:0038 p:0050 s:0236 e:000235 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/conditionalget.rb:25

c:0037 p:0077 s:0229 e:000228 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/head.rb:14

c:0036 p:0034 s:0222 e:000221 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/params_parser.rb:21

c:0035 p:0046 s:0217 e:000216 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/flash.rb:242

c:0034 p:0023 s:0209 e:000208 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210

c:0033 p:0009 s:0201 e:000200 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205

c:0032 p:0016 s:0197 e:000196 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/cookies.rb:341

c:0031 p:0044 s:0189 e:000188 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/query_cache.rb:64

c:0030 p:0021 s:0180 e:000179 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_pool.rb:

4

c:0029 p:0011 s:0172 e:000171 BLOCK 

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:28

c:0028 p:0035 s:0170 e:000169 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405

c:0027 p:0090 s:0163 e:000162 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405

c:0026 p:0019 s:0154 e:000153 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385

c:0025 p:0020 s:0149 e:000148 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81

c:0024 p:0009 s:0143 E:002000 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:27

c:0023 p:0027 s:0139 e:000138 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:65

c:0022 p:0032 s:0134 e:000133 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/remote_ip.rb:31

c:0021 p:0013 s:0130 e:000129 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/debug_exceptions.rb:16

c:0020 p:0013 s:0123 e:000122 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/show_exceptions.rb:56

c:0019 p:0077 s:0117 e:000116 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:32

c:0018 p:0011 s:0112 e:000111 BLOCK  /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16

c:0017 p:0016 s:0110 e:000109 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/tagged_logging.rb:22

c:0016 p:0054 s:0105 e:000104 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16

c:0015 p:0032 s:0100 e:000099 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/request_id.rb:22

c:0014 p:0075 s:0093 e:000092 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/methodoverride.rb:21

c:0013 p:0024 s:0088 e:000087 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/runtime.rb:17

c:0012 p:0037 s:0079 e:000078 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/cache/strategy/local_cache.rb:72

c:0011 p:0056 s:0075 e:000074 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/lock.rb:15

c:0010 p:0094 s:0068 e:000067 METHOD

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/static.rb:63

c:0009 p:0016 s:0062 e:000061 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/engine.rb:479

c:0008 p:0024 s:0058 e:000057 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/application.rb:223

c:0007 p:0011 s:0054 e:000053 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/content_length.rb:14

c:0006 p:0011 s:0045 e:000044 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/log_tailer.rb:17

c:0005 p:0284 s:0040 e:000039 METHOD /home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59

c:0004 p:0185 s:0028 e:000027 METHOD /home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138

c:0003 p:0310 s:0018 e:000017 METHOD /home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94

c:0002 p:0089 s:0007 e:000006 BLOCK  /home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295 [FINISH]

c:0001 p:---- s:0002 e:000001 TOP    [FINISH]

-- Ruby level backtrace information ----------------------------------------

/home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295:in block in start_thread'

/home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94:in run'

/home/user/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138:in service'
/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59:in service'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/log_tailer.rb:17:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/content_length.rb:14:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/application.rb:223:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/engine.rb:479:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/static.rb:63:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/lock.rb:15:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/cache/strategy/local_cache.rb:72:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/runtime.rb:17:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/request_id.rb:22:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/tagged_logging.rb:22:in tagged'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in block in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:32:in call_app'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/show_exceptions.rb:56:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/debug_exceptions.rb:16:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/remote_ip.rb:31:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:65:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:27:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in run_callbacks'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in _run_call_callbacks'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in __run_callback'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in

_run__1620115707873158370__call__817193562355586630__callbacks'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:28:in block in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_pool.rb:

479:in call' /home/user/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/query_cache.rb:64:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/cookies.rb:341:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in context'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/flash.rb:242:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/params_parser.rb:21:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/head.rb:14:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/etag.rb:23:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/best_standards_support.rb:17:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:612:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56:in each'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:68:in block in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:32:in call'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:54:in controller'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:69:in controller_reference'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:554:in get'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/inflector/methods.rb:229:in constantize'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/inflector/methods.rb:229:in each'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/inflector/methods.rb:230:in block in constantize'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:190:in const_missing'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:190:in each'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:192:in block in const_missing'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:502:in load_missing_constant'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:353:in require_or_load'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:468:in load_file'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:639:in new_constants_in'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:469:in block in load_file'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:469:in load'

/opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:6:in <top (required)>'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:176:in const_missing'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:39:in presence'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:21:in present?'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/object/blank.rb:104:in blank?'

/home/user/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/core_ext/string/encoding.rb:4:in

`encoding_aware?'

-- C level backtrace information -------------------------------------------
Related issues:

Is duplicate of Ruby - Bug #10599: http.rb:1866: Segmentation fault Rejected 12/15/2014

History

#1 - 12/16/2014 02:37 PM - joel23421 (joel Bernard)

About a run about of 4 does crash as is

#2 - 12/17/2014 09:55 PM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #10599: http.rb:1866: Segmentation fault added

#3 - 05/07/2016 12:35 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

2.0.0 is EOL now. Please try with 2.2 or 2.3.

#4 - 07/23/2019 02:47 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
